Edit

Share via


Items - Update Reflex Definition

Overrides the definition for the specified Reflex.
This API supports long running operations (LRO).

Updating the Reflex's definition, does not affect its sensitivity label.

Permissions

The caller must have read and write permissions for the reflex.

Required Delegated Scopes

Reflex.ReadWrite.All or Item.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/reflexes/{reflexId}/updateDefinition
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/reflexes/{reflexId}/updateDefinition?updateMetadata={updateMetadata}

URI Parameters

Name In Required Type Description
reflexId
path True

string (uuid)

The Reflex ID.

workspaceId
path True

string (uuid)

The workspace ID.

updateMetadata
query

boolean

When set to true and the .platform file is provided as part of the definition, the item's metadata is updated using the metadata in the .platform file

Request Body

Name Required Type Description
definition True

ReflexDefinition

Reflex public definition object. Refer to this article for more details on the structure of the Reflex definition.

Responses

Name Type Description
200 OK

Request completed successfully.

202 Accepted

Request accepted. Update definition is in progress.

Headers

  • Location: string
  • x-ms-operation-id: string
  • Retry-After: integer
429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • OperationNotSupportedForItem - Operation not supported for requested item.

  • CorruptedPayload - The provided payload is corrupted.

Examples

Update a Reflex definition example

Sample request

POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/reflexes/5b218778-e7a5-4d73-8187-f10824047715/updateDefinition?updateMetadata=True

{
  "definition": {
    "parts": [
      {
        "path": "ReflexEntities.json",
        "payload": "IyBGYWJyaWMgbm90ZWJv..5ndWUiOiJweXRob24ifX19",
        "payloadType": "InlineBase64"
      },
      {
        "path": ".platform",
        "payload": "ZG90UGxhdGZvcm1CYXNlNjRTdHJpbmc=",
        "payloadType": "InlineBase64"
      }
    ]
  }
}

Sample response

Location: https://api.fabric.microsoft.com/v1/operations/427f6c34-b64e-4ee4-8ea5-b533c0e203ef
x-ms-operation-id: 427f6c34-b64e-4ee4-8ea5-b533c0e203ef
Retry-After: 30

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

PayloadType

The type of the definition part payload. Additional payload types may be added over time.

ReflexDefinition

Reflex public definition object. Refer to this article for more details on the structure of the Reflex definition.

ReflexDefinitionPart

Reflex definition part object.

UpdateReflexDefinitionRequest

Update Reflex public definition request payload.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

PayloadType

The type of the definition part payload. Additional payload types may be added over time.

Value Description
InlineBase64

Inline Base 64.

ReflexDefinition

Reflex public definition object. Refer to this article for more details on the structure of the Reflex definition.

Name Type Description
format

string

The format of the item definition. Supported format: json.

parts

ReflexDefinitionPart[]

A list of definition parts.

ReflexDefinitionPart

Reflex definition part object.

Name Type Description
path

string

The Reflex public definition part path.

payload

string

The Reflex public definition part payload.

payloadType

PayloadType

The payload type.

UpdateReflexDefinitionRequest

Update Reflex public definition request payload.

Name Type Description
definition

ReflexDefinition

Reflex public definition object. Refer to this article for more details on the structure of the Reflex definition.